-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local throttleChange = 0

local function onInit()
	throttleChange = 0
	input.state["throttle"].val=0.01
	electrics.values['pitch_input']=0
	
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
	tm = bullettime['simulationSpeed']/100

	--electrics.values['pitch_input']=electrics.values['brake_input']-electrics.values['throttle_input']
	print(electrics.values.pitch_input)
	

	input.state["throttle"].val=math.min(1,math.max(0,input.state["throttle"].val+0.01*throttleChange))
	

	electrics.values['e_r'] = -electrics.values['steering_input'] - electrics.values['pitch_input']
    electrics.values['e_l'] = electrics.values['steering_input'] - electrics.values['pitch_input']
end

local function changeThrottle(v)
	throttleChange=v
	
end

-- public interface
M.onInit      = onInit
M.onReset     = onReset
M.updateGFX = updateGFX
M.changeThrottle = changeThrottle

return M